Error on apio upload


#1

Hi there.
I now, after a lot of successful uses, have the problem that if I try to upload my fpga binaries I get the following error meassage:

apio upload
Error: Invalid version string: ‘1.0.24.dev20’

and the bins are not transfered. The TinyFPGA is on and waiting ( I pushed the button ) but nothing is happening only that error message.

I tried to reinstall some of the files but did not help.
so can someone help and tell me what that message means so I can get rid of it and have my prog transferred.

Thanx, harald

PS: I am working on WIN8.1


#2

Hey @ewen, @tansell, @JesusArroyo, does this error message from APIO ring a bell? I recognize the version number from one of the recent tinyprog releases


#3

Hi.
No. Does not initiate a sound. Last week I did the last upload without any problem today all other is possible. Clear, Build, Simulate but not Upload.
Thanks for quick answer
Regards, harald.


#4

@lukevalenty That’s definitely the version string of the current development release that @tansell made a bit over a week ago.

My guess is that apio, or something run by apio, is trying to parse that tinyprog version string to check it and struggling with the “.dev20” suffix on it (perhaps due to the letters or the third dot), in which case, downgrading to the current stable release (1.0.23 if using Python 2; earlier if using Python 3) might fix it. (And releasing 1.0.24 as a stable release, with that version string, might also fix it.)

In theory “pip install” should be defaulting to installing only stable releases, but possibly there are older instructions floating around telling people to explicitly install the dev versions (back when 1.0.22bN was required for features).

pip install tinyprog==1.0.23 --force-reinstall

might be worth trying if that’s the case (ie, dev versions are installed by default, unlike usual pip default).

I believe @tansell is just waiting for someone to say “release 1.0.24 as a stable release”… so that’s the other thing we could try if this is the only 1.0.24 related issue.

Ewen


#5

Hi ewen
That Error on apio upload did the job. Everything working well now.
Thanx for help.
Regards, Harald